
import { DataManager } from './../../libs/tw/manager/DataManager';
import { NetManager } from './../../libs/tw/manager/NetManager';
import MainScene from "./MainScene";
import PanelCtrl from '../ctrls/panelCtrl';
import { ModuleTypes } from '../types/sceneTypes';
import Loading from '../loading/Loading';
//喂食按钮动画运动时间间隔
const F_TIME_SPACE: number = 600;
//喂食按钮初始角度
const F_ANGLE: number = 7;
export class ExMainScene extends MainScene {
    constructor(data?) {
        super(data);
    }

    initEvents() {
        super.initEvents();
       // this.boatGroup.addEventListener(egret.TouchEvent.TOUCH_TAP, this.onTap_boat, this);
    }

    removeEvents() {
        super.removeEvents();
      //  this.boatGroup.removeEventListener(egret.TouchEvent.TOUCH_TAP, this.onTap_boat, this)
    }

    

}